ENVISAT Product Reader API for C |

Data Fields
EPR_Record Struct Reference

The `EPR_Record` structure represents a record instance read from an ENVISAT dataset. More...

`#include <epr_api.h>`

## Data Fields

EPR_Magic | magic
| The magic number for this structure.
EPR_SRecordInfo * | info
| The corresponding record info for this record (a 'soft' pointer).
uint | num_fields
| The number of fields contained in this record.
EPR_SField ** | fields
| The record fields.

## Detailed Description

The `EPR_Record` structure represents a record instance read from an ENVISAT dataset.

A record is composed of multiple fields.

See also
  EPR_Field

The documentation for this struct was generated from the following file:

- epr_api.h